job "garbage" {
  datacenters = ["dc1"]
  type = "sysbatch"

  parameterized {
    payload = "forbidden"
    meta_required = ["job"]
  }

  group "garbage" {
    count = 1

    #restart {
    #  attempts = 1
    #  mode     = "fail"
    #}

    network {
      mode = "host"
    }

    task "docker" {
      driver = "raw_exec"

      config {
        command = "/usr/bin/sh"
        args = ["-c", "j=$(docker ps -f \"name=${NOMAD_META_JOB}*\" --format \"{{.ID}}\") && docker stop $j && docker rm $j"]
      }

      resources {
        memory = 16
        cpu    = 100
      }
    }
  }
}
